### Method

# GdkPixbuf Pixbuf save_to_bufferv

since: 2.4

#### Declaration [src]

    gboolean
    gdk_pixbuf_save_to_bufferv (
      GdkPixbuf* pixbuf,
      gchar** buffer,
      gsize* buffer_size,
      const char* type,
      char** option_keys,
      char** option_values,
      GError** error
    )

#### Description [src]

Vector version of `gdk_pixbuf_save_to_buffer()`.

Saves pixbuf to a new buffer in format `type`, which is currently “jpeg”, “tiff”, “png”, “ico” or “bmp”.

See `gdk_pixbuf_save_to_buffer()` for more details.

Available since: 2.4

#### Parameters

`buffer`

  Type: An array of `guint8`

  location to receive a pointer to the new buffer.

  The argument will be set by the function.
  The length of the array is specified in the `buffer_size` argument.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`buffer_size`

  Type: `gsize*`

  Location to receive the size of the new buffer.

  The argument will be set by the function.

`type`

  Type: `const char*`

  Name of file format.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`option_keys`

  Type: An array of `utf8`

  Name of options to set.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`option_values`

  Type: An array of `utf8`

  Values for named options.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether an error was set.